gnutls_openpgp_privkey_sign_hash(3)

NAME
gnutls_openpgp_privkey_sign_hash - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_openpgp_privkey_sign_hash(gnutls_openpgp_privkey_t key, const gnutls_datum_t * hash, gnutls_datum_t * signature);

ARGUMENTS

gnutls_openpgp_privkey_t key
    Holds the key

const gnutls_datum_t * hash
    holds the data to be signed

gnutls_datum_t * signature
    will contain newly allocated signature

DESCRIPTION
This function will sign the given hash using the private key. You should use gnutls_openpgp_privkey_set_preferred_key_id() before calling this function to set the subkey to use.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

DEPRECATED
Use gnutls_privkey_sign_hash() instead.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/